#!/bin/sh

cat > template-blank.po << EOF
# po files are compiled under linux using msgfmt
#   msgfmt -o language.mo language.po
# the name of the language is derived from the file name
# HTML codes can be included by placing the code in between
# dashes.  ie:
# a filename like this
#   fran-231-ais.mo
# will be translated to
#   fran&231;ais
# when displayed in the menu.


EOF

grep "__(" ../*.php | sed "s/.*__('\(.*\)', *'WI').*/\1/" | sed "s/.*\.php:.*__(\(.*\), *'WI').*/\1/" | sort -u | sed "s/'\&deg;' \. \$WI->settings\['units'\]\['temp'\]/\&deg;C\n\&deg;F/" | sed "s/\$WI->settings\['units'\]\['pressure'\]/hPa\natm\ninHg\nmmHg/" | sed "s/\$WI->settings\['units'\]\['visibility'\]/m\nkm\nft\nmiles/" | sed "s/\$WI->settings\['units'\]\['wind'\]/km\/h\nm\/s\nmph\nkt/" | sort -u | sed 's/"/\\"/gi' | sed 's/\(.*\)/msgid "\1"\nmsgstr ""\n/' >> template-blank.po
