<?php
// Wordpress stuff
define('WP_USE_THEMES', false);
require('../../../../wp-blog-header.php');
?>
function SerializeDisplayOptions()
{
	$('display_options').value = Sortable.serialize('active');
}


function removeAll()
{
	var elSel = document.getElementById("WIsettings[icon_ext]");
	var i;
	for (i = elSel.length - 1; i>=0; i--)
	{
		elSel.remove(i);
	}
}

function appendOption(idx, txt, id)
{
	var elOptNew = document.createElement('option');
	elOptNew.text = txt;
	elOptNew.value = idx;
	var elSel = document.getElementById(id);

	try
	{
		elSel.add(elOptNew, null); // standards compliant; doesn't work in IE
	}
	catch(ex)
	{
		elSel.add(elOptNew); // IE only
	}
}

function updateForm(icon_pack)
{
	removeAll();
<?php
	foreach ($WI->icon_packs as $name=>$icon_pack)
	{
		echo "\t".'if ( icon_pack == "' . $name . '")' . "\n\t{\n";
		echo "\t\t".'var preview = document.getElementById("previewimg");'."\n";
		echo "\t\t".'preview.src = "' .  WIdirWeb . "/ipkfile.php?pack=" . $name . '&icon=' . current(array_keys($WI->icon_packs[$name]['icons']))  . '&type=' . $icon_pack['formats']['format'][0] . '";' . "\n";
		foreach  ($icon_pack['formats']['format'] as $idx => $format)
		{
			echo "\t\t".'appendOption(' . $idx . ', "' . $format . '", "WIsettings[icon_ext]");'."\n";
		}
		echo "\t}\n";
	}
?>
}

var default_loc_id="<?php echo $WI->settings['default_location']; ?>";

function show_debug (loc_id)
{
	URL = "<?php echo WIdirWeb ?>/test/index.php?location=" + loc_id;
	window.open(URL, '', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=740,height=540');
}

function make_default_loc (loc_id)
{
	var newDefault = document.getElementById('entry-' + loc_id);
	var oldDefault = document.getElementById('entry-' + default_loc_id);

	newDefault.className = newDefault.className + ' active';
	oldDefault.className = oldDefault.className.replace('active', '');

	var newDefault = document.getElementById('actions-' + loc_id);
	var oldDefault = document.getElementById('actions-' + default_loc_id);

	newDefault.innerHTML = '';

    var newElement = document.createElement('a');
    newElement.href = 'javascript:show_debug ("' + default_loc_id + '");'
    newElement.innerHTML = 'Debug';
    newDefault.appendChild(newElement);

	oldDefault.innerHTML = '';

	var newElement = document.createElement('a');
	newElement.href = 'javascript:show_debug ("' + default_loc_id + '");'
	newElement.innerHTML = 'Debug';
	oldDefault.appendChild(newElement);

    var newElement = document.createElement('br');
    oldDefault.appendChild(newElement);

	var newElement = document.createElement('a');
	newElement.href = 'javascript:make_default_loc ("' + default_loc_id + '");'
	newElement.innerHTML = 'Make Default';
	oldDefault.appendChild(newElement);

	var newElement = document.createElement('br');
	oldDefault.appendChild(newElement);

	var newElement = document.createElement('a');
	newElement.href = 'javascript:delete_loc ("' + default_loc_id + '");'
	newElement.innerHTML = 'Delete';
	oldDefault.appendChild(newElement);

	default_loc_id = loc_id;

	var defaultInput = document.getElementById('default_loc');
	defaultInput.setAttribute('value', loc_id);
}

function delete_loc (loc_id)
{
	if (confirm('<?php echo __('Are you sure you want to delete this location entry?', 'WI') ?>'))
	{
		var TR = document.getElementById('entry-' + loc_id);
		TR.parentNode.removeChild(TR);
		Sortable.create('locations', {tag:'tr',dropOnEmpty:true,constraint:false});
	}
}

function add_loc ()
{
	var alt = document.getElementById('new_loc_alt').value;
	var name = document.getElementById('new_loc_name').value;
	var station = document.getElementById('new_loc_station').value;
	var latitude = document.getElementById('new_loc_latitude').value;
	var longitude = document.getElementById('new_loc_longitude').value;
	var gmt_offset = document.getElementById('new_loc_gmt_offset').value;
	var dst = document.getElementById('new_loc_dst').checked;
	var language = document.getElementById('new_loc_language').value;

	if (name != '')
	{
		document.getElementById('new_loc_alt').value = !alt;
		document.getElementById('new_loc_name').value = '';
		document.getElementById('new_loc_station').value = '';
		document.getElementById('new_loc_latitude').value = '';
		document.getElementById('new_loc_longitude').value = '';
		document.getElementById('new_loc_gmt_offset').value = '';
		document.getElementById('new_loc_dst').checked = true;

		var TBODY = document.getElementById('locations');

		var TR = document.createElement('tr');
		TR.id = 'entry-' + name;
		TR.className = (alt == 0) ? '' : 'alternate';

		var TH = document.createElement('th');
		TH.className = 'left';
		TH.innerHTML = name;
		TR.appendChild(TH);

		var TD = document.createElement('td');
		var INPUT = document.createElement('input');
		INPUT.setAttribute('name', 'WIsettings[locations][' + name + '][station]');
		INPUT.setAttribute('value', station);
		INPUT.setAttribute('size', 5);
		INPUT.setAttribute('maxlength', 4);
		TD.appendChild(INPUT);
		TR.appendChild(TD);

		var TD = document.createElement('td');
		var INPUT = document.createElement('input');
		INPUT.setAttribute('name', 'WIsettings[locations][' + name + '][latitude]');
		INPUT.setAttribute('value', latitude);
		INPUT.setAttribute('size', 10);
		INPUT.setAttribute('maxlength', 9);
		TD.appendChild(INPUT);
		TR.appendChild(TD);

		var TD = document.createElement('td');
		var INPUT = document.createElement('input');
		INPUT.setAttribute('name', 'WIsettings[locations][' + name + '][longitude]');
		INPUT.setAttribute('value', longitude);
		INPUT.setAttribute('size', 10);
		INPUT.setAttribute('maxlength', 9);
		TD.appendChild(INPUT);
		TR.appendChild(TD);

		var TD = document.createElement('td');
		var INPUT = document.createElement('input');
		INPUT.setAttribute('name', 'WIsettings[locations][' + name + '][gmt_offset]');
		INPUT.setAttribute('value', gmt_offset);
		INPUT.setAttribute('size', 4);
		INPUT.setAttribute('maxlength', 3);
		TD.appendChild(INPUT);
		TR.appendChild(TD);

		var TD = document.createElement('td');
		var INPUT = document.createElement('input');
		INPUT.setAttribute('name', 'WIsettings[locations][' + name + '][dst]');
		INPUT.type = "checkbox";
		INPUT.checked = INPUT.defaultChecked = dst;
		TD.appendChild(INPUT);
		TR.appendChild(TD);

		var TD = document.createElement('td');
		var SELECT = document.createElement('select');
		SELECT.setAttribute('name', 'WIsettings[locations][' + name + '][language]');
<?php
		$languages = $WI->get_i18n_list();

		asort ($languages);
		foreach ($languages as $language) {

			$language = ucfirst($language);
?>
		var OPTION = document.createElement('option');
		OPTION.text = '<?php echo $language ?>';
		OPTION.setAttribute('value', '<?php echo $language ?>');
		if (language == '<?php echo $language ?>')
		{
			OPTION.setAttribute('selected', 'selected');
		}
		SELECT.appendChild(OPTION);
<?php
        }
?>
		TD.appendChild(SELECT);
		TR.appendChild(TD);

		if (default_loc_id == '')
		{
			default_loc_id = name;

			var defaultInput = document.getElementById('default_loc');
	        defaultInput.value = name;

			var TD = document.createElement('td');
			TD.id = 'actions-' + name;
			TD.className = 'left';
			TD.innerHTML = '&nbsp;';

			TR.className = TR.className + ' active';
		}
		else
		{
			var TD = document.createElement('td');
			TD.id = 'actions-' + name;
			TD.className = 'left';

			var newElement = document.createElement('a');
			newElement.href = 'javascript:make_default_loc ("' + name + '");'
			newElement.innerHTML = 'Make Default';
			TD.appendChild(newElement);

			var newElement = document.createElement('br');
			TD.appendChild(newElement);

			var newElement = document.createElement('a');
			newElement.href = 'javascript:delete_loc ("' + name + '");'
			newElement.innerHTML = 'Delete';
			TD.appendChild(newElement);
		}

		TR.appendChild(TD);
		TBODY.appendChild(TR);
		Sortable.create('locations', {tag:'tr',dropOnEmpty:true,constraint:false});
	}
	else
	{
		alert('<?php echo __('Invalid New Location Name'); ?>');
	}
}

function onKeyPressBlockInvalidEntry_LatLong(e)
{
	key = window.event ? e.keyCode : e.which;

	// Allow 0-9, a period, a dash, and all the control keys (enter, tab, etc)
	return ((key >= 0x30) && (key <= 0x39)) || (key == 0x2E) || (key == 0x2D) || (key < 0x20);
}

function onKeyPressBlockInvalidEntry_GMT(e)
{
    key = window.event ? e.keyCode : e.which;

    // Allow 0-9, a dash, and all the control keys (enter, tab, etc)
    return ((key >= 0x30) && (key <= 0x39)) || (key == 0x2D) || (key < 0x20);
}
