<?php
define('WP_USE_THEMES', false);
require('../../../../wp-blog-header.php');

require_once '../libraries/Tar.php';
require_once '../libraries/Unserializer.php';

function subchop ( $str, $sub )
{
	return substr( $str, 0, strlen( $str ) - strlen( $sub ) );
}

function endsWith( $str, $sub ) 
{
	return ( substr( $str, strlen( $str ) - strlen( $sub ) ) === $sub );
}

		$options = array(
			XML_UNSERIALIZER_OPTION_COMPLEXTYPE => 'array',
			XML_UNSERIALIZER_OPTION_ATTRIBUTE_KEY => array(
			  'icon'	  => 'name',
			  'condition' => 'code'),
			XML_UNSERIALIZER_OPTION_ATTRIBUTES_PARSE	=> false,
			XML_UNSERIALIZER_OPTION_ATTRIBUTES_ARRAYKEY => false,
			XML_UNSERIALIZER_OPTION_FORCE_ENUM => array ('format')
		);

		$unserializer = &new XML_Unserializer($options);

		$WIicon_packs = array();
		$WIicon_dir = @ dir(WIicondir);
	
		if ($WIicon_dir)
		{
			while(($file = $WIicon_dir->read()) !== false)
			{
				if (is_file(WIicondir . $file) && endsWith($file, '.ipk'))
				{
					$tar = new Archive_Tar(WIicondir . $file);
					$xml = $tar->extractInString('meta.xml');
					$status = $unserializer->unserialize($xml, false);

					if (PEAR::isError($status))
					{
						echo $file . ' is an invalid or corrupt Icon Pack';
					}
					else
					{
						$WIicon_packs[subchop($file, '.ipk')] = $unserializer->getUnserializedData();
					}
				}
			}
		}

		foreach ($WIicon_packs as $name=>$iconpack)
		{
			$type = $iconpack['formats']['format'][0];
			echo '<div style="float: left;"><h1>' . $name . '</h1>';
			echo '<table>';
			foreach ($iconpack['icons'] as $icon=>$night)
			{
				$url = WIdirWeb . '/ipkfile.php?pack=' . $name . '&amp;icon=' . $icon . '&amp;type=' . $type;
				echo '<tr>';
				echo '<td><a href="' . $url . '">';
				echo '<img src="' . $url . '" border=0/>';
				echo '</a></td>';
				if ($night == 'true')
				{
					$url = WIdirWeb . '/ipkfile.php?pack=' . $name . '&amp;icon=n_' . $icon . '&amp;type=' . $type;
					echo '<td>';
					echo '<a href="' . $url . '">';
					echo '<img src="' . $url . '" border=0/>';
					echo '</a>';
					echo '</td>';
				}
				echo '</tr>';
			}
			echo '</table></div>';
		}
