<?php 
// WeatherIcon Debug File
define('WP_USE_THEMES', false);
require('../../../../wp-blog-header.php');

if (!empty($_GET['case']))
{
	switch($_GET['case'])
	{
		case '1':
			$metar = "LBBG 041600Z 12003MPS 310V290 1400 R04/P1500N R22/P1500U +SN BKN022 OVC050 M04/M07 Q1020 NOSIG 9949//91=";
			break;
		case '2':
			$metar = "KTTN 051853Z 04011KT 1/2SM VCTS SN FZFG BKN003 OVC010 M02/M02 A3006 RMK AO2 TSB40 SLP176 P0002 T10171017=";
			break;
		case '3':
			$metar = "KRIC 070754Z 20009KT 10SM OVC100 09/04 A3003 RMK AO2 SLP174 T00890044";
			break;
		default:
			$metar = "ETHN 132020Z 07006KT 9999 M06/M08 Q1027 BLU+BLU+";
	}
}
else
{
	$metar   = (!empty($_GET['metar'])) ? $_GET['metar']:"ETHN 132020Z 07006KT 9999 M06/M08 Q1027 BLU+BLU+";
}
$gmt     = (!empty($_GET['gmt_offset'])) ? $_GET['gmt_offset']:"1";
$lat     = (!empty($_GET['latitude'])) ? $_GET['latitude']:"49.7833";
$long    = (!empty($_GET['longitude'])) ? $_GET['longitude']:"9.8819";

$metar = new WeatherIconMetar($metar, $lat, $long, $gmt, '', '<br/>');

$output .= $metar->get_icon();
$output .= $metar->get_temp();
$output .= $metar->get_windchill();
$output .= $metar->get_humidex();
$output .= $metar->get_dewpoint();
$output .= $metar->get_wind();
$output .= $metar->get_humidity();
$output .= $metar->get_altimeter();
$output .= $metar->get_conditions();
$output .= $metar->get_simple_clouds();
$output .= $metar->get_detailed_clouds();
$output .= $metar->get_visibility();
$output .= $metar->get_sunrise();
$output .= $metar->get_sunset();
$output .= $metar->get_updatetime();
$output .= "<br/><br/>";
$output .= "Status Log:<pre>";
$output .= print_r($WI->status, true);
$output .= "</pre><br/>";
$output .= "METAR Debug:<pre>";
$output .= "\$metar->decoded_metar\n";
$output .= print_r($metar->decoded_metar, true);
$output .= "</pre><br/>";

echo $output;

?>
